Commit 323dd7c7 authored by Yann Garcia's avatar Yann Garcia
Browse files

Bug fixed in virtualization/docker-dev/ scripts

parent 15086715
Loading
Loading
Loading
Loading
+3 −0
Original line number Diff line number Diff line
@@ -11,6 +11,9 @@
		},
		{
			"path": "../gs032p3-robot-test-suite"
		},
		{
			"path": "../mec.pipeline-scripts"
		}
	],
	"settings": {
+1 −1
Original line number Diff line number Diff line
@@ -5,7 +5,7 @@ set -vx

BASE_PATH=`pwd`

git submodule update --init --recursive --remote
#git submodule update --init --recursive --remote

if [ ! -d ./titan-test-system-framework ]
then
+3 −3
Original line number Diff line number Diff line
FROM stfubuntu:20.04

MAINTAINER ETSI TTF T027
MAINTAINER ETSI TTF T043

LABEL description="TTF_T027_Mec Docker Image"
LABEL description="TTF_T043_Mec Docker Image"

ENV TERM=linux \
    HOME=/home/etsi \
    HOSTNAME=docker-titan-TTF_T027
    HOSTNAME=docker-titan-TTF_T043

COPY home /home/etsi

+2 −2
Original line number Diff line number Diff line
@@ -16,10 +16,10 @@ if [ -z `docker images -q stfubuntu` ]; then
    docker build --no-cache --tag stfubuntu:20.04 -f Dockerfile.stfubuntu --force-rm  . || exit 1
fi

docker build --no-cache --tag mec_devel --force-rm  . || ( echo "Docker build failed: $?"; exit 1 )
docker build --no-cache --tag etsiforge/etsi-mec-phase3 --force-rm  . || ( echo "Docker build failed: $?"; exit 1 )

docker images
docker inspect mec_devel:latest || ( echo "Docker inspect failed: $?"; exit 1 )
docker inspect etsiforge/etsi-mec-phase3:latest || ( echo "Docker inspect failed: $?"; exit 1 )

# That's all Floks
exit 0
+0 −26
Original line number Diff line number Diff line
#!/bin/bash

ECLIPSE_URL='https://www.eclipse.org/downloads/download.php?file=/technology/epp/downloads/release/2024-03/R/eclipse-cpp-2024-03-R-linux-gtk-x86_64.tar.gz&r=1'
TITAN_URL='https://www.eclipse.org/downloads/download.php?file=/titan/TITAN_Designer_and_Executor_Plugin_7.1.0.zip&r=1'

#set -e
set -vx

echo -e "*****************************\n* Install eclipse\n*****************************\n"

mkdir -p ${HOME}/frameworks
cd ${HOME}/frameworks || exit 1
wget --progress=dot:mega 'http://www.mirrorservice.org/sites/download.eclipse.org/eclipseMirror/technology/epp/downloads/release/2024-03/R/eclipse-cpp-2024-03-R-linux-gtk-x86_64.tar.gz' -Oeclipse-cpp-2024-03-R-linux-gtk-x86_64.tar.gz || exit 1
tar -zxvf ./eclipse-cpp-2024-03-R-linux-gtk-x86_64.tar.gz || exit 1
ln -sf ${HOME}/frameworks/eclipse/eclipse ${HOME}/bin/eclipse
rm -f ./eclipse-cpp-2024-03-R-linux-gtk-x86_64.tar.gz

if wget --progress=dot:mega 'https://www.eclipse.org/downloads/download.php?file=/titan/TITAN_Designer_and_Executor_plugin-8.1.0.zip' -OTITAN_Designer_and_Executor_plugin.zip; then
  eclipse/eclipse -noSplash -application org.eclipse.equinox.p2.director \
    -destination /home/etsi/frameworks/eclipse \
    -repository 'jar:file:///home/etsi/frameworks/TITAN_Designer_and_Executor_plugin.zip!/' \
    -installIU TITAN_Designer.feature.group,TITAN_Executor.feature.group,TITAN_Log_Viewer.feature.group,Titan_external_dependencies.feature.group,Titanium.feature.group,Titanium_external_dependencies.feature.group
  rm -f TITAN_Designer_and_Executor_plugin.zip
fi

cd ${HOME}
Loading